Get Job Artifact URL
Create a short-lived signed download URL for a named job artifact.
GET
/v2/jobs/{job_id}/artifacts/{artifact_name:path}/urlGet Job Artifact URL
Return a short-lived signed download URL for large artifacts that should not be inlined through SDK or MCP responses.
cURL
curl -G "https://api.omtx.ai/v2/jobs/job_123abc/artifacts/outputs/results.json/url" \
-H "x-api-key: YOUR_API_KEY"Response
{
"job_id": "job_123abc",
"artifact_name": "outputs/results.json",
"download_url": "https://storage.googleapis.com/...",
"expires_at": "2026-03-31T12:30:00Z",
"content_type": "application/json",
"content_length": 1379786
}- Use this route for larger artifacts when
/v2/jobs/{job_id}/artifacts/{artifact_name:path}is too large to proxy inline. - The signed URL currently expires after 30 minutes.